#include <iostream>

using namespace std;

int main()
{
int n,d,k,sum=0,pg;
cin>>n>>d>>k;
if (n<1)
{
return 0;
}
if (n==1)
{
cout<<d*k;
return 0;
}
if(n>=d*k)
{
 for (int i=1;i<d*k;i++)
 {
  sum=sum+i;
 }
 cout<<sum;
 return 0;
}
if (d>n)
{
for (int f=1;f<n;f++)
{
 pg=k-n;
 for(int g=1;g<n;g++)
 {
 sum=sum+g;
 for (int p=1;p<pg;p++)
 {
 sum=sum+p;
 }
 }

}
cout<<sum;
return 0;
}
for (int o=1;o<n;o++)
{
 if(o*k<n)
 {
     for (int z=1;z<d*k;z++)
     {
      sum=sum+z;
     }

 }
  else
     {
        for (int b=1;b<d*k;b++)
     {
      sum=sum+b;
       for (int s=1;s<pg;s++)
 {
 sum=sum+s;
 }
     }
     }
 cout<<sum;
}
return 0;
}
